coap_pdu_t Struct Reference

Header structure for CoAP PDUs. More...

`#include <pdu.h>`

Collaboration diagram for coap_pdu_t:
[legend]

## Data Fields

size_t | max_size
| allocated storage for options and data More...
coap_hdr_t * | hdr
| Address of the first byte of the CoAP message. More...
unsigned short | max_delta
| highest option number More...
unsigned short | length
| PDU length (including header, options, data) More...
unsigned char * | data
| payload More...

## Detailed Description

Header structure for CoAP PDUs.

Definition at line 227 of file pdu.h.

## Field Documentation

## data

unsigned char* coap_pdu_t::data

payload

Definition at line 235 of file pdu.h.

## hdr

coap_hdr_t* coap_pdu_t::hdr

Address of the first byte of the CoAP message.

This may or may not equal (coap_hdr_t*)(pdu+1) depending on the memory management implementation.

Definition at line 229 of file pdu.h.

## length

unsigned short coap_pdu_t::length

PDU length (including header, options, data)

Definition at line 234 of file pdu.h.

## max_delta

unsigned short coap_pdu_t::max_delta

highest option number

Definition at line 233 of file pdu.h.

## max_size

size_t coap_pdu_t::max_size

allocated storage for options and data

Definition at line 228 of file pdu.h.

The documentation for this struct was generated from the following file:

- pdu.h